package com.xydl.cac.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "bdz")
@ApiModel("变电站表")
public class Bdz {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Integer id;

    @NotEmpty(message = "名称不能为空")
    @ApiModelProperty("名称")
    @Column(name = "mc")
    private String mc;

    @Column(name = "lx")
    private String lx;

    @Column(name = "pid")
    private String pid;

    @Column(name = "gkjip")
    private String gkjip;

    @Column(name = "xfport")
    private Integer xfport;

    @Column(name = "znxj")
    private Short znxj;

    @Column(name = "ztjcid")
    private String ztjcid;

    @Column(name = "enable")
    private BigDecimal enable;

    @Column(name = "xh")
    private BigDecimal xh;

    @Column(name = "bz")
    private String bz;

    @Column(name = "hascac")
    private Boolean hascac;

    @ApiModelProperty("坐标")
    @Column(name = "coordinate")
    private String coordinate;

    @ApiModelProperty("电压等级,单位kV")
    @Column(name = "voltagegrade")
    private Integer voltagegrade;

    @ApiModelProperty("规模,单位MW")
    @Column(name = "scale")
    private Float scale;

    @ApiModelProperty("说明")
    @Column(name = "note")
    private String note;

    @Column(name = "icon1")
    private String icon1;

    @Column(name = "icon2")
    private String icon2;

    @Column(name = "icon3")
    private String icon3;

    @Column(name = "icon4")
    private String icon4;

    @Column(name = "svgurl")
    private String svgurl;

}