package com.xydl.cac.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "icd_file_config")
@ApiModel("ICD文件配置表")
public class IcdFileConfig {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Integer id;

    @Column(name = "ied_name")
    private String iedName;

    @Column(name = "ldevice_inst")
    private String ldeviceInst;

    @Column(name = "ln_class")
    private String lnClass;

    @Column(name = "do_name")
    private String doName;

    @Column(name = "last_name")
    private String lastName;

    @Column(name = "table_name")
    private String tableName;

    @Column(name = "col_name")
    private String colName;

    @Transient
    private List<IcdFileConfigInst> instList;

    public void addInst(String inst, String paramindex) {
        if (instList == null) {
            instList = new ArrayList<>();
        }
        IcdFileConfigInst item = IcdFileConfigInst.builder()
                .inst(inst)
                .paramindex(paramindex)
                .build();
        instList.add(item);
    }

    public String buildParamIndex(IcdFileConfigInst inst) {
        String param = iedName + ldeviceInst + "/" + lnClass + inst.getInst() + "$" + inst.getParamindex();
        return param;
    }
}