package com.xydl.cac.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "jg")
@ApiModel("区域间隔表")
public class Jg {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Integer id;

    @NotEmpty(message = "名称不能为空")
    @ApiModelProperty("名称")
    @Column(name = "mc")
    private String mc;

    @NotNull(message = "变电站id不能为空")
    @ApiModelProperty("变电站id")
    @Column(name = "bdzid")
    private Integer bdzid;

    @Column(name = "ls")
    private BigDecimal ls;

    @Column(name = "areaid")
    private String areaid;

    @Column(name = "xh")
    private BigDecimal xh;

    @ApiModelProperty("变电站名称")
    @Transient
    private String bdzName;

}