package com.xydl.cac.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "lx")
@ApiModel("设备类型表")
public class Lx {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Integer id;

    @NotEmpty(message = "名称不能为空")
    @ApiModelProperty("名称")
    @Column(name = "mc")
    private String mc;

    @Column(name = "ls")
    private BigDecimal ls;

    @Column(name = "zxjc")
    private BigDecimal zxjc;

    @Column(name = "zxjcurl")
    private String zxjcurl;

}