package com.xydl.cac.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import javax.validation.constraints.NotEmpty;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "modevtype")
@ApiModel("监测装置类型表")
public class ModevType {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Integer id;

    @NotEmpty(message = "名称不能为空")
    @Column(name = "mc")
    private String mc;

    @NotEmpty(message = "表名不能为空")
    @Column(name = "tablename")
    private String tablename;


}