package com.xydl.cac.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;
import java.util.List;

/**
 * @author huangfeng
 * @date 2023-11-24
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "niec_points")
@ApiModel("IEC104-业务点表配置表")
public class NiecPoint {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Integer id;

    @Column(name = "sadr")
    private Integer sadr;

    @Column(name = "site_id")
    private Integer siteId;

    @Column(name = "sensor_id")
    private Integer sensorId;

    @Column(name = "stype")
    private Integer stype;

    @Column(name = "main_equipment_type")
    private String mainEquipmentType;

    @Column(name = "name")
    private String name;

    @Column(name = "sub_tree_id")
    private String subTreeId;

    @Column(name = "sub_equipment_type")
    private String subEquipmentType;

    @Column(name = "gtype")
    private String gtype;

    @Column(name = "item_no")
    private Integer itemNo;

    @Column(name = "yx_bit")
    private Integer yxBit;

    @Column(name = "field")
    private String field;

    @Column(name = "filed_desc")
    private String filedDesc;

    @Column(name = "sno")
    private Integer sno;

    @Column(name = "isget")
    private String isget;

    @Column(name = "status")
    private Integer status;

    @Column(name = "unit")
    private String unit;

    @Column(name = "warnflag")
    private String warnflag;

    @Column(name = "thresholdfield")
    private String thresholdfield;

    @Column(name = "descr")
    private String descr;

    @Column(name = "d_time")
    private Date dTime;

    @Transient
    private List<Object> data;
}