package com.xydl.cac.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author huangfeng
 * @date 2023-11-23
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "niec_sensors")
@ApiModel("装置表")
public class NiecSensor {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Integer id;

    @Column(name = "parent_id")
    private Integer parentId;

    @Column(name = "site_id")
    private Integer siteId;

    @Column(name = "sensor_code")
    private String sensorCode;

    @Column(name = "equipment_id")
    private String equipmentId;

    @Column(name = "system_code")
    private String systemCode;

    @Column(name = "name")
    private String name;

    @Column(name = "dev_id")
    private Integer devId;

    @Column(name = "grp_no")
    private Integer grpNo;

    @Column(name = "phase")
    private String phase;

    @Column(name = "status")
    private Integer status;

    @Column(name = "equipment_type")
    private String equipmentType;

    @Column(name = "table_name")
    private String tableName;

    @Column(name = "devid_field_name")
    private String devidFieldName;

    @Column(name = "dtime_field_name")
    private String dtimeFieldName;

    @Column(name = "one_dtime")
    private Integer oneDtime;

    @Column(name = "create_time")
    private Date createTime;

    @Transient
    private List<NiecSensor> children;

    public void addChild(NiecSensor item) {
        if (children == null) {
            children = new ArrayList<>();
        }
        children.add(item);
    }
}