package com.xydl.cac.service.impl;

import com.xydl.cac.entity.Lx;
import com.xydl.cac.repository.LxRepository;
import com.xydl.cac.service.LxService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
@Transactional(rollbackFor = Exception.class)
public class LxServiceImpl implements LxService {

    @Resource
    LxRepository repository;

    @Override
    public List<Lx> listAll() {
        return repository.findAll();
    }

    @Override
    public Lx add(Lx item) {
        item.setId(null);
        return repository.save(item);
    }

    @Override
    public void update(Lx item) {
        repository.save(item);
    }

    @Override
    public void delete(Integer id) {
        repository.deleteById(id);
    }
}
