package com.xydl.cac.service.impl;

import com.xydl.cac.entity.ModevType;
import com.xydl.cac.repository.ModevTypeRepository;
import com.xydl.cac.service.ModevTypeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.List;
import java.util.Optional;

@Service
@Slf4j
@Transactional(rollbackFor = Exception.class)
public class ModevTypeServiceImpl implements ModevTypeService {

    @Resource
    ModevTypeRepository repository;

    @Override
    public List<ModevType> listAll(Integer modevtypeid) {
            return repository.findAll();
    }

    @Override
    public ModevType add(ModevType item) throws Exception {
        item.setId(null);
        List<ModevType> byMc = repository.findByMc(item.getMc());
        if (!CollectionUtils.isEmpty(byMc)) {
            throw new Exception("该监测装置类型已存在");
        }
        return repository.save(item);
    }

    @Override
    public void update(ModevType item) throws Exception {
        List<ModevType> byMc = repository.findByMc(item.getMc());
        if (!CollectionUtils.isEmpty(byMc)) {
            for (ModevType it : byMc) {
                if (it.getId() != item.getId()) {
                    throw new Exception("该监测装置类型已存在");
                }
            }
        }
        repository.save(item);
    }

    @Override
    public void delete(Integer id) {
        repository.deleteById(id);
    }

    @Override
    public ModevType detail(Integer id) throws Exception {
        Optional<ModevType> optional = repository.findById(id);
        if (!optional.isPresent()) {
            throw new Exception("未找到该类型");
        }
        return null;
    }
}
